Subject: Re: bug#34580: Service ssh-daemon could not be started

From: "Brant Gardner" <[email-masked]>
Date: Wed, 09 Oct 2019 09:49:07 -0500

Okay, my apologies for the delay - a few days later I did "git pull" and then all the same steps and now it compiles & makes without issue.  I activated the new configuration & rebooted.

ssh-daemon failed to start and the log showed up, so I *think* we caught it.

The log is attached, I hope this helps!

--
Brant Gardner

On Sat, Sep 28, 2019, at 09:11, Ludovic Courtès wrote:
> "Brant Gardner" <[email-masked]> skribis:
> 
> > Okay, I did those steps exactly:
> >
> >   - clone
> >   - patch -p1 < your-patch
> >   - ./bootstrap
> >   - ./configure --localstatedir=/var
> >   - make check
> >   - sudo -E ./pre-inst-env guix system reconfigure /path/to/myconfig.scm
> >   - reboot
> >
> > I had no issues or errors at any step and on reboot ssh-daemon tried & failed to start so all went according to plan, but /tmp does *not* have a ssh log file in it.
> >
> > Not sure where this went sideways, any advice?
> 
> Does the PID that ‘herd status ssh-daemon’ reports (under “Running
> value”) correspond to ‘strace’?
> 
> BTW, it may be that the problem will show up less frequently because
> sshd starts more slowly when running under ‘strace’.  That’s the hard
> part with timing-related bugs…
> 
> Thanks for testing!
> 
> Ludo’.
>